#include <linux/ioctl.h>

#define AIRSTICK_MAGIC_NUMBER 'q'

#define AIRSTICK_GET_STATUS			_IOW(AIRSTICK_MAGIC_NUMBER, 1, void)
#define AIRSTICK_POWER_ON				_IOW(AIRSTICK_MAGIC_NUMBER, 2, void)
#define AIRSTICK_POWER_OFF			_IOW(AIRSTICK_MAGIC_NUMBER, 3, void)
#define AIRSTICK_SET_NSAMPS			_IOW(AIRSTICK_MAGIC_NUMBER, 4, int)

#define REG_FW_VERSION 0x08

#define REG_STATUS 0x10

#define REG_UP_RAW_L 0x20
#define REG_UP_RAW_H 0x21
#define REG_DN_RAW_L 0x22
#define REG_DN_RAW_H 0x23
#define REG_LT_RAW_L 0x24
#define REG_LT_RAW_H 0x25
#define REG_RT_RAW_L 0x26
#define REG_RT_RAW_H 0x27

#define REG_NSAMPS 0x80

#define STATUS_ON (1<<0)
#define STATUS_LEFT (1<<1)
#define STATUS_RIGHT (1<<2)

typedef struct {
	int16_t up;
	int16_t down;
	int16_t left;
	int16_t right;
} airstick_raw;
